elaravel/routes/web.php
<?php

use App\Http\Controllers\Admin\BlogController;
use App\Http\Controllers\Admin\BrandController;
use App\Http\Controllers\Admin\CategoryController;
use App\Http\Controllers\Admin\CountryController;
use App\Http\Controllers\admin\HomeController;
use App\Http\Controllers\admin\UserController;
use App\Http\Controllers\FrontEnd\FEBlogController;
use App\Http\Controllers\frontend\FECartController;
use App\Http\Controllers\FrontEnd\FECommentsController;
use App\Http\Controllers\frontend\FEHomeController;
use App\Http\Controllers\FrontEnd\FELoginController;
use App\Http\Controllers\frontend\FEProductController;
use App\Http\Controllers\frontend\FEUserController;
use App\Http\Controllers\FrontEnd\RateController;
use App\Http\Controllers\MailController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// FrontEnd

    // login
    Route::get('/', [FELoginController::class,'index'])->name('trang-chu')->middleware('member');
    Route::get('/member/login', [FELoginController::class,'show_Login'])->name('trang-chu-login')->middleware('memberNotLogin');
    Route::post('/member/login', [FELoginController::class,'login']);
    Route::post('/member/register', [FELoginController::class,'register'])->name('trang-chu-register');
    Route::get('/member/logout', [FELoginController::class,'logout'])->name('trang-chu-logout');

    //blog
    Route::get('/member/blog', [FEBlogController::class,'index'])->name('blog');
    Route::get('/member/blog/details/{id}', [FEBlogController::class,'get_Details'])->name('blog-details');
    Route::post('/member/blog/rate', [RateController::class,'index'])->name('rate');

    Route::post('/member/blog/comments', [FECommentsController::class,'post_Comments'])->name('post-comments');
    Route::get('/member/blog/comments-reply', [FECommentsController::class,'get_level_replay'])->name('get-level-replay');//show reply
    
    
    //account
    Route::get('/member/account/update', [FEUserController::class,'index'])->name('account');
    Route::post('/member/account/update', [FEUserController::class,'update_account']);

    Route::get('/member/account/product', [FEProductController::class,'my_product'])->name('my-product');
    Route::get('/member/account/add-product', [FEProductController::class,'my_product_add'])->name('my-product-add');
    Route::post('/member/account/add-product', [FEProductController::class,'post_Add']);
    Route::get('/member/account/edit-product/{id}', [FEProductController::class,'my_product_edit'])->name('my-product-edit');
    Route::post('/member/account/edit-product/{id}', [FEProductController::class,'post_Edit']);
    
    Route::get('/member/account/delete-product/{id}', [FEProductController::class,'my_product_delete'])->name('my-product-delete');

    //Product Details
    Route::get('/member/product/details/{id}', [FEHomeController::class,'product_Detail'])->name('product-detail');


    //Add to cart
    Route::get('/member/product/add-to-cart', [FECartController::class,'add_Cart'])->name('add-to-cart');
    Route::get('/member/cart/show-cart', [FECartController::class,'show_Cart'])->name('show-cart');
    Route::get('/member/cart/edit-cart-up', [FECartController::class,'edit_cart_quantity_up'])->name('edit-cart-quantity-up');
    Route::get('/member/cart/edit-cart-down', [FECartController::class,'edit_cart_quantity_down'])->name('edit-cart-quantity-down');
    // Route::get('/member/cart/show-cart', [FECartController::class,'show_Cart'])->name('show-cart');

    //check out
    Route::get('/member/cart/checkout', [FECartController::class,'checkout'])->name('checkout');
    //emails
    
    Route::get('/test', [MailController::class,'index'])->name('index-mails');
    //Search

    Route::get('/member/search', [FEHomeController::class,'search'])->name('search');
    Route::post('/member/search', [FEHomeController::class,'search_handle']);

    Route::get('/member/search/home', [FEHomeController::class,'search_home'])->name('search-home');

 

Auth::routes();

// BackEnd


Route::prefix('/home')->name('admin.')->middleware('admin')->group(function ()
{
    Route::get('/', [HomeController::class, 'index'])->name('admin');
    Route::get('/profile', [UserController::class, 'profile'])->name('profile');
    Route::post('/profile', [UserController::class, 'edit_Profile']);
    Route::get('/logout', [UserController::class, 'logout'])->name('logout');
    // country
    Route::get('/country', [CountryController::class, 'index'])->name('country');
    Route::get('/country_edit/{id}', [CountryController::class, 'get_Edit'])->name('country-edit');
    Route::post('/country_edit/{id}', [CountryController::class, 'post_Edit']);
    Route::get('/country_add', [CountryController::class, 'add'])->name('country-add');
    Route::post('/country_add', [CountryController::class, 'post_add']);
    Route::get('/country_delete/{id}', [CountryController::class, 'delete'])->name('country-delete');

    // Blog
    Route::get('/blog', [BlogController::class, 'index'])->name('blog');
    
    Route::get('/blog_Add', [BlogController::class, 'add'])->name('blog-add');
    Route::post('/blog_Add', [BlogController::class, 'post_Add']);
    Route::get('/blog_Edit/{id}', [BlogController::class, 'edit'])->name('blog-edit');
    Route::post('/blog_Edit/{id}', [BlogController::class, 'post_Edit']);
    Route::get('blog_delete/{id}', [BlogController::class, 'delete'])->name('blog-delete');

    // brand
    Route::get('/brand', [BrandController::class, 'index'])->name('brand');
    Route::get('/brand_Add', [BrandController::class, 'add'])->name('brand-add');
    Route::post('/brand_Add', [BrandController::class, 'post_Add']);
    Route::get('/brand_Edit/{id}', [BrandController::class, 'edit'])->name('brand-edit');
    Route::post('/brand_Edit/{id}', [BrandController::class, 'post_Edit']);
    Route::get('brand_delete/{id}', [BrandController::class, 'delete'])->name('brand-delete');

    // category
    Route::get('/category', [CategoryController::class, 'index'])->name('category');
    Route::get('/category_Add', [CategoryController::class, 'add'])->name('category-add');
    Route::post('/category_Add', [CategoryController::class, 'post_Add']);
    Route::get('/category_Edit/{id}', [CategoryController::class, 'edit'])->name('category-edit');
    Route::post('/category_Edit/{id}', [CategoryController::class, 'post_Edit']);
    Route::get('category_delete/{id}', [CategoryController::class, 'delete'])->name('category-delete');

});

elaravel/resources/views/admin/layouts/app.blade.php
<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16" href="{{ asset('admin/assets/images/favicon.png') }}') }}">
    <title>Nice admin Template - The Ultimate Multipurpose admin template</title>
    <!-- Custom CSS -->
    <link href="{{ asset('admin/assets/libs/chartist/dist/chartist.min.css') }}" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="{{ asset('admin/dist/css/style.min.css') }}" rel="stylesheet">
    <!-- HTML5 Shim and Respond.js') }} IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js') }} doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js') }}"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js') }}/1.4.2/respond.min.js') }}"></script>
<![endif]-->
</head>

<body>
    <!-- ============================================================== -->
    <!-- Preloader - style you can find in spinners.css') }} -->
    <!-- ============================================================== -->
    <div class="preloader">
        <div class="lds-ripple">
            <div class="lds-pos"></div>
            <div class="lds-pos"></div>
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- Main wrapper - style you can find in pages.scss -->
    <!-- ============================================================== -->
    <div id="main-wrapper" data-navbarbg="skin6" data-theme="light" data-layout="vertical" data-sidebartype="full" data-boxed-layout="full">
        @include('admin.layouts.header')

        <!-- ============================================================== -->
        <!-- Left Sidebar - style you can find in sidebar.scss  -->
        @include('admin.layouts.left-sidebar')
        
        <!-- ============================================================== -->
        <!-- Page wrapper  -->
        <div class="page-wrapper">
            @yield('content')
        </div>
    </div>

    
    <script src="{{ asset('admin/assets/libs/jquery/dist/jquery.min.js') }}"></script>
    <!-- Bootstrap tether Core JavaScript -->
    <script src="{{ asset('admin/assets/libs/popper.js') }}/dist/umd/popper.min.js') }}"></script>
    <script src="{{ asset('admin/assets/libs/bootstrap/dist/js/bootstrap.min.js') }}"></script>
    <!-- slimscrollbar scrollbar JavaScript -->
    <script src="{{ asset('admin/assets/extra-libs/sparkline/sparkline.js') }}"></script>
    <!--Wave Effects -->
    <script src="{{ asset('admin/dist/js/waves.js') }}"></script>
    <!--Menu sidebar -->
    <script src="{{ asset('admin/dist/js/sidebarmenu.js') }}"></script>
    <!--Custom JavaScript -->
    <script src="{{ asset('admin/dist/js/custom.min.js') }}"></script>
    <!--This page JavaScript -->
    <!--chartis chart-->
    <script src="{{ asset('admin/assets/libs/chartist/dist/chartist.min.js') }}"></script>
    <script src="{{ asset('admin/assets/libs/chartist-plugin-tooltips/dist/chartist-plugin-tooltip.min.js') }}"></script>
    <script src="{{ asset('admin/dist/js/pages/dashboards/dashboard1.js') }}"></script>
    <script src="{{ asset('admin/ckeditor/ckeditor.js') }}"></script>
    <script> 
        CKEDITOR.replace('content_blog', {
            filebrowserBrowseUrl: '{{ asset('admin/ckfinder/ckfinder.html') }}',
            filebrowserImageBrowseUrl: '{{ asset('admin/ckfinder/ckfinder.html?type=Images') }}',
            filebrowserFlashBrowseUrl: '{{ asset('admin/ckfinder/ckfinder.html?type=Flash') }}',
            filebrowserUploadUrl: '{{ asset('admin/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Files') }}',
            filebrowserImageUploadUrl: '{{ asset('admin/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Images') }}',
            filebrowserFlashUploadUrl: '{{ asset('admin/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Flash') }}'
    } );

    </script>
</body>

</html>

elaravel/resources/views/admin/layouts/header.blade.php
<header class="topbar" data-navbarbg="skin6">
    <nav class="navbar top-navbar navbar-expand-md navbar-light">
        <div class="navbar-header" data-logobg="skin5">
            <!-- This is for the sidebar toggle which is visible on mobile only -->
            <a class="nav-toggler waves-effect waves-light d-block d-md-none" href="javascript:void(0)">
                <i class="ti-menu ti-close"></i>
            </a>
            <!-- ============================================================== -->
            <!-- Logo -->
            <!-- ============================================================== -->
            <div class="navbar-brand">
                <a href="index.html" class="logo">
                    <!-- Logo icon -->
                    <b class="logo-icon">
                        <!--You can put here icon as well // <i class="wi wi-sunset"></i> //-->
                        <!-- Dark Logo icon -->
                        <img src="{{ asset('admin/assets/images/logo-icon.png') }}" alt="homepage" class="dark-logo" />
                        <!-- Light Logo icon -->
                        <img src="{{ asset('admin/assets/images/logo-light-icon.png') }}" alt="homepage" class="light-logo" />
                    </b>
                    <!--End Logo icon -->
                    <!-- Logo text -->
                    <span class="logo-text">
                        <!-- dark Logo text -->
                        <img src="{{ asset('admin/assets/images/logo-text.png') }}" alt="homepage" class="dark-logo" />
                        <!-- Light Logo text -->
                        <img src="{{ asset('admin/assets/images/logo-light-text.png') }}" class="light-logo" alt="homepage" />
                    </span>
                </a>
            </div>
            <!-- ============================================================== -->
            <!-- End Logo -->
            <!-- ============================================================== -->
            <!-- ============================================================== -->
            <!-- Toggle which is visible on mobile only -->
            <!-- ============================================================== -->
            <a class="topbartoggler d-block d-md-none waves-effect waves-light" href="javascript:void(0)" data-toggle="collapse" data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <i class="ti-more"></i>
            </a>
        </div>
        <!-- ============================================================== -->
        <!-- End Logo -->
        <!-- ============================================================== -->
        <div class="navbar-collapse collapse" id="navbarSupportedContent" data-navbarbg="skin6">
            <!-- ============================================================== -->
            <!-- toggle and nav items -->
            <!-- ============================================================== -->
            <ul class="navbar-nav float-left mr-auto">
                <!-- ============================================================== -->
                <!-- Search -->
                <!-- ============================================================== -->
                <li class="nav-item search-box">
                    <a class="nav-link waves-effect waves-dark" href="javascript:void(0)">
                        <div class="d-flex align-items-center">
                            <i class="mdi mdi-magnify font-20 mr-1"></i>
                            <div class="ml-1 d-none d-sm-block">
                                <span>Search</span>
                            </div>
                        </div>
                    </a>
                    <form class="app-search position-absolute">
                        <input type="text" class="form-control" placeholder="Search &amp; enter">
                        <a class="srh-btn">
                            <i class="ti-close"></i>
                        </a>
                    </form>
                </li>
            </ul>
            <!-- ============================================================== -->
            <!-- Right side toggle and nav items -->
            <!-- ============================================================== -->
            <ul class="navbar-nav float-right">
                <!-- ============================================================== -->
                <!-- User profile and search -->
                <!-- ============================================================== -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle text-muted waves-effect waves-dark pro-pic" href="" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <img src="{{ asset('admin/assets/images/users/1.jpg') }}" alt="user" class="rounded-circle" width="31">
                    </a>
                    <div class="dropdown-menu dropdown-menu-right user-dd animated">
                        <a class="dropdown-item" href="{{ route('admin.profile') }}"><i class="ti-user m-r-5 m-l-5"></i> My Profile</a>
                        <a class="dropdown-item" href="{{ route('admin.logout') }}"><i class="ti-wallet m-r-5 m-l-5"></i> Logout</a>
                    </div>
                </li>
                <!-- ============================================================== -->
                <!-- User profile and search -->
                <!-- ============================================================== -->
            </ul>
        </div>
    </nav>
</header>

elaravel/resources/views/admin/layouts/left-sidebar.blade.php
<aside class="left-sidebar" data-sidebarbg="skin5">
    <!-- Sidebar scroll-->
    <div class="scroll-sidebar">
        <!-- Sidebar navigation-->
        <nav class="sidebar-nav">
            <ul id="sidebarnav">
                <li class="sidebar-item">
                    <a class="sidebar-link waves-effect waves-dark sidebar-link" href="{{ route('admin.admin') }}" aria-expanded="false">
                        <i class="mdi mdi-av-timer"></i>
                        <span class="hide-menu">Dashboard</span>
                    </a>
                </li>
                <li class="sidebar-item">
                    <a class="sidebar-link waves-effect waves-dark sidebar-link" href="{{ route('admin.profile') }}" aria-expanded="false">
                        <i class="mdi mdi-account-network"></i>
                        <span class="hide-menu">Profile</span>
                    </a>
                </li>
                 <li class="sidebar-item">
                    <a class="sidebar-link waves-effect waves-dark sidebar-link" href="{{ route('admin.country') }}" aria-expanded="false">
                        <i class="mdi mdi-arrange-bring-forward"></i>
                        <span class="hide-menu">Country</span>
                    </a>
                </li>
                <li class="sidebar-item">
                    <a class="sidebar-link waves-effect waves-dark sidebar-link" href="{{ route('admin.blog') }}" aria-expanded="false">
                        <i class="mdi mdi-border-none"></i>
                        <span class="hide-menu">Blog</span>
                    </a>
                </li>
                <li class="sidebar-item">
                    <a class="sidebar-link waves-effect waves-dark sidebar-link" href="{{ route('admin.brand') }}" aria-expanded="false">
                        <i class="mdi mdi-border-none"></i>
                        <span class="hide-menu">Brand</span>
                    </a>
                </li>
                <li class="sidebar-item">
                    <a class="sidebar-link waves-effect waves-dark sidebar-link" href="{{ route('admin.category') }}" aria-expanded="false">
                        <i class="mdi mdi-border-none"></i>
                        <span class="hide-menu">Category</span>
                    </a>
                </li>
                <li class="sidebar-item">
                    <a class="sidebar-link waves-effect waves-dark sidebar-link" href="icon-material.html" aria-expanded="false">
                        <i class="mdi mdi-face"></i>
                        <span class="hide-menu">Icon</span>
                    </a>
                </li>
                <li class="sidebar-item">
                    <a class="sidebar-link waves-effect waves-dark sidebar-link" href="starter-kit.html" aria-expanded="false">
                        <i class="mdi mdi-file"></i>
                        <span class="hide-menu">Blank</span>
                    </a>
                </li>
                <li class="sidebar-item">
                    <a class="sidebar-link waves-effect waves-dark sidebar-link" href="error-404.html" aria-expanded="false">
                        <i class="mdi mdi-alert-outline"></i>
                        <span class="hide-menu">404</span>
                    </a>
                </li>
            </ul>
        </nav>
        <!-- End Sidebar navigation -->
    </div>
    <!-- End Sidebar scroll-->
</aside>